Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class DateTypeDescriptor.DateMutabilityPlan

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<Date>
          org.hibernate.type.descriptor.java.DateTypeDescriptor.DateMutabilityPlan

All Implemented Interfaces:
  Serializable, MutabilityPlan<Date>

Enclosing class:
  DateTypeDescriptor

    public static class DateTypeDescriptor.DateMutabilityPlan

extends MutableMutabilityPlan<Date>

See Also:
  Serialized Form

Field Summary
`static DateTypeDescriptor.DateMutabilityPlan` | `INSTANCE`

Constructor Summary
`DateTypeDescriptor.DateMutabilityPlan()`

Method Summary
`Date` | `deepCopyNotNull(Date value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final DateTypeDescriptor.DateMutabilityPlan INSTANCE

Constructor Detail

### DateTypeDescriptor.DateMutabilityPlan

    public DateTypeDescriptor.DateMutabilityPlan()

Method Detail

### deepCopyNotNull

    public Date deepCopyNotNull(Date value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<Date>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.